<?php

/* public */ class plugin_rss_admin extends plugin {

  /* private smlfile */ var $file;

  /* constructor */ function plugin_rss_admin($plugin_name) {
    settype($plugin_name,"string");        
    global $PROGRAM;

    $this->plugin_name = $plugin_name;
    $this->file = $PROGRAM->plugins->get($this->plugin_name,"CONFIGFILE");
  }

  /* public void */ function listener(/* String */ $event, /* Hashtable */ $ARGS) {
    settype($event, "string");
    settype($ARGS, "array");

    global $PROGRAM;
    $PROGRAM->setRegistryKey("ID",$ARGS[id]);

    switch ($event) {

      case "get_rss_to_html_config":
             $PROGRAM->setRegistryKey("RSS/PROFILE/RSSFILE",     $PROGRAM->plugins->getRegistryKey($this->plugin_name,"PROFILE/RSSFILE"));
             $PROGRAM->setRegistryKey("RSS/PROFILE/MAX",         $PROGRAM->plugins->getRegistryKey($this->plugin_name,"PROFILE/MAX"));
             $PROGRAM->setRegistryKey("RSS/PROFILE/LANGUAGE",    $PROGRAM->plugins->getRegistryKey($this->plugin_name,"PROFILE/LANGUAGE"));
             $languagedir = $PROGRAM->plugins->get($this->plugin_name, "LANGUAGEDIR");
             $PROGRAM->setRegistryKey("RSS/LANGUAGEFILES",       $languagedir->getContent());
             $PROGRAM->setRegistryKey("RSS/PROFILE/LANGUAGE",    $PROGRAM->plugins->getRegistryKey($this->plugin_name,"PROFILE/LANGUAGE"));
             $PROGRAM->setRegistryKey("LANGUAGE/RSS_CONFIG",     $PROGRAM->plugins->getRegistryKey($this->plugin_name,"LANGUAGE/RSS_CONFIG"));
             return true;
      break;

      case "set_rss_to_html_config":
          if ($this->file) {
             $REF = $this->file->get("*");
             if ($ARGS[rssfile])  $REF[PROFILE][RSSFILE]  = $ARGS[rssfile];
             if ($ARGS[max])      $REF[PROFILE][MAX]      = $ARGS[max];
             if ($ARGS[language]) $REF[PROFILE][LANGUAGE] = $ARGS[language];

             if ($REF[PROFILE][RSSFILE] && !file_exists($REF[PROFILE][RSSFILE])) {
               $PROGRAM->meldung("fehler", "404", "get_rss_to_html_config");
               return false;
             }

             if ((!$this->file->set($REF) || !$this->file->write()))
             {
               $PROGRAM->meldung("fehler", "500", "index");
               return false;
             } else {
               $PROGRAM->meldung("danke", "200", "index");
               return false;
             }
           }
      break;

      default:
             $PROGRAM->setRegistryKey("LANGUAGE/RSS_CONFIG", $PROGRAM->plugins->getRegistryKey($this->plugin_name,"LANGUAGE/RSS_CONFIG"));
      break;
    } # end switch

    return true;
  }

}

//  2004, Thomas Meyer www.All-Community.de
// Copyright Hinweis nicht entfernen!
?>
