<?php

class blockfile extends secureFileStream {

   function get() {
     if ($this->isEmpty()) return "";
     else                  return implode("\n", $this->content);
   }
   
   function set($input) {
     settype($input, "string");
     $this->content = explode("\n", preg_replace("/[;,\s]+/s", "\n", $input));
     for($i=0;$i<count($this->content);$i++) $this->content[$i] .= "\n";
     return true;
   }

   function read() {
     if (!is_readable($this->filename)) {
       $this->exists  = false;
       return false;
     } else {
       $this->source  = file($this->filename);
       $this->content = explode("\n", preg_replace("/[;,\s]+/", "\n", implode("",$this->source)));
       $this->options = $this->attributes;
       $this->exists  = true;
       return true;
     }
   }

   function isBlocked() {
     settype($this->content,"array");
     $this->read();
     if (!$this->attributes[REMOTE_ADDR]) {
       echo "ERROR";
       return false;
     } else {
       settype($this->content, "array");
     }

     foreach ($this->content as $key => $value) {
       settype($value, "String");
       if (preg_match("/(\*|\d{1,3})\.(\*|\d{1,3})\.(\*|\d{1,3})\.(\*|\d{1,3})/",$value)) {
         $a = preg_replace("/\./", '\.', $value);
         $a = preg_replace("/\*/", '\d{1,3}', $a);
         if (preg_match("/".$a."/", $this->attributes[REMOTE_ADDR])) {
           return true;
         }
       }
     }

     return false;
   }

   function toString() {
     if (!$this->exists()) {
       return "Blocklist-file ".$this->filename." does not exist";
     } elseif ($this->isEmpty()) {
       return "Blocklist-file ".$this->filename." is wether empty or not loaded";
     } else {
       return $this->get();
     }
   }

/**********************************************************************************************
* Hilfsfunktionen
**********************************************************************************************/

}

//  2004, Thomas Meyer www.All-Community.de
// Copyright Hinweis nicht entfernen!
?>
