<?php

class datfile extends secureFileStream {

   function get($line_nr) {
     $data      = $this->content[$line_nr];
     $REF       = array();
     while (preg_match("/<(.*)>(.*)<\/.*>/Ui", $data, $matches)) {
       $matches[2]       = preg_replace("/(\S{80})(\S*)/i", "\\1<wbr>\\2", $matches[2]);
       $REF[$matches[1]] = $matches[2];
       $data             = preg_replace("/<".$matches[1].">.*<\/.*>/U", "", $data);
       $matches          = array();
     }
     return $REF;
   }

   function insert($REF) {
     $txt       = "";
     foreach ($REF as $key => $element) {
       $element = $this->antiFlooding($element);
       $element = strip_tags($element);
       $txt    .= "<$key>$element</$key>";
     }
     $txt       = nl2br($txt);
     $txt       = preg_replace("/\s/"," ",$txt);
     $txt      .= "\n";
     if (!$this->isEmpty()) {
       array_unshift($this->content,$txt);
     } else {
       $this->content[0] = $txt;
     }
     return true;
   }

   function remove($line_nr) {
     if (isset($this->content[$line_nr])) {
       unset($this->content[$line_nr]);
       return true;
     } else {
       return false;
     }
   }
   
   function toString() {
     if (!$this->exists()) {
       return "Dat-file ".$this->filename." does not exist";
     } elseif ($this->isEmpty()) {
       return "Dat-file ".$this->filename." is wether empty or not loaded";
     } else {
       return implode("\n", $this->content);
     }
   }

}

//  2004, Thomas Meyer www.All-Community.de
// Copyright Hinweis nicht entfernen!
?>
