<?php

class executeable extends inputStream {

   /* constructor */ function executeable(/* String */ $filename) {
     settype($filename, "string");
     $this->exists   = (file_exists($filename) && is_readable($filename));
     $this->filename = $filename;
   }

   /* public boolean */ function read() {
     if ($this->exists()) {
       require_once($this->filename);
       return true;
     } else {
       return false;
     }
   }

   /* public String */ function get() {
     return "PHP-File \"".$this->filename."\"\n";
   }

   /* public String */ function toString() {     # overload this method for each sub class
     if (!$this->exists()) {
       return "File ".$this->filename." does not exist\n";
     } elseif ($this->isEmpty()) {
       return "File ".$this->filename." is wether empty or not loaded\n";
     } else {
       return $this->get();
     }
   }

}

//  2004, Thomas Meyer www.All-Community.de
// Copyright Hinweis nicht entfernen!
?>
