<?php

class mailer extends document {

   var $betreff;
   var $header;

   function mailer($filename) {

     if (preg_match("/.*\.(register|config|cfg|lock|dat|htaccess)/Ui", $filename)) {
       $this->source = "<H1>FEHLER 403</H1><P>Datei &quot;$filename&quot; ist auf diesem Server nicht vorhanden und/oder nicht freigegeben</P>";
       unset($this->filename);
     } elseif (!file_exists($filename) || !is_readable($filename)) {
       $this->source = "<H1>FEHLER 404</H1><P>Datei &quot;$filename&quot; ist auf diesem Server nicht vorhanden</P>";
       unset($this->filename);
     } else {
       $this->attributes[MTIME] = date("d.m.Y",filemtime($filename));
       $this->attributes[ATIME] = date("d.m.Y",fileatime($filename));
       $this->attributes[CTIME] = date("d.m.Y",filectime($filename));
       clearstatcache();
       $this->filename = $filename;
     }

   }
   
   function isAvailable() {
     return (isset($this->filename) && $this->filename != "");
   }

   function finalize() {
	   global $id;
	   if (!isset($this->options[ID])) { $this->options[ID] = $id; }
	 }

   function send($recipient) {
     $this->finalize();
     return mail($recipient,strip_tags($this->betreff),$this->get(),$this->header);
   }

   /* public void */ function fill(/* Hashtable */ $REF) {
     settype($REF, "array");

     $this->content = layout::fillTemplate($this->content, $REF, true);
   }

}

//  2004, Thomas Meyer www.All-Community.de
// Copyright Hinweis nicht entfernen!
?>
