<?php

/* public */ class plugin_guestbook extends plugin {

  /* private guestbook */ var $guestbook;

  /* constructor */ function plugin_guestbook($plugin_name) {
      settype($plugin_name,"string");
      global $PROGRAM;

      $this->plugin_name = $plugin_name;

      # <... Umgebungsvariablen initialisieren
          $PROGRAM->registry->settype("PROFILE/NOTIFICATION", "boolean");
          $PROGRAM->registry->settype("PROFILE/SENDMAIL"    , "boolean");
          $PROGRAM->registry->settype("PROFILE/AUTO"        , "boolean");

          $url = $PROGRAM->getRegistryKey("SETTINGS/CSS");
      	  if ($url) $PROGRAM->setRegistryKey("CSS", '<link rel="stylesheet" type="text/css" href="'.$url.'" />');

          $perm = $PROGRAM->getRegistryKey("PERMISSION");
      	  if (!$perm) {
      	     @session_start();
             global $HTTP_SESSION_VARS;
             $PROGRAM->setRegistryKey("PERMISSION", isset($HTTP_SESSION_VARS[user_name]));
          }

          if (!$PROGRAM->getRegistryKey("LICENCE/KEY")) {
              $PROGRAM->setRegistryKey("LICENCE/INFO", "keine Lizenzdatei installiert");
          } else {
              $lcn_note = layout::fillTemplate($lcn_note, $PROGRAM->getRegistryKey("LICENCE"), false);
          }
      # Umgebungsvariablen initialisieren ...>
  }

  /* public void */ function listener(/* String */ $event, /* Hashtable */ $ARGS) {
     settype($event, "string");
     settype($ARGS, "array");
     $event = strtolower($event);

     $this->guestbook = new guestbook($ARGS);

     switch ($event) {

        case "":
          $this->guestbook->getBookEntries(false);
        break;

        case "show":
          $this->guestbook->getBookEntries(false);
        break;

        case "details":
          $this->guestbook->getBookEntries(true);
        break;

        case "new":
          $this->guestbook->get_new();
        break;

        case "comment":
          $this->guestbook->get_comment();
        break;

        case "delete":
          $this->guestbook->get_delete();
        break;

        case "preview":
          global $PROGRAM;
          $blank = $PROGRAM->registry->get("blank");
          $blankDoc = new document($blank->getFilename());
          $blankDoc->read();
          $blankDoc->options[CSS] = $PROGRAM->getRegistryKey("CSS");
          $blankDoc->insert(nl2br(embeddedTags(addSmilies(htmlentities(stripslashes($ARGS[eintraege]))))));
          die($blankDoc->get());
        break;

        case "deleteentry":
          $this->guestbook->set_delete();
        break;

        case "addcomment":
          $this->guestbook->set_comment($ARGS[nachricht]);
        break;

        case "add":
          $this->guestbook->set_new($ARGS);
        break;

        default:
        break;

     } # end switch

     return true;

  }

}

//  2004, Thomas Meyer www.All-Community.de
// Copyright Hinweis nicht entfernen!
?>
