<?php

/* public */ class plugin_ipblock extends plugin {

  /* private blockfile */ var $whitelist;
  /* private blockfile */ var $blacklist;

  /* constructor */ function plugin_ipblock($plugin_name) {
    settype($plugin_name,"string");     
    $this->plugin_name = $plugin_name;
    global $PROGRAM;
    $this->whitelist = $PROGRAM->plugins->get($this->plugin_name,"IPWHITELIST");
    $this->blacklist = $PROGRAM->plugins->get($this->plugin_name,"IPBLACKLIST");
    $dir             = $PROGRAM->plugins->get($this->plugin_name,"BLOCKDIR");

    if (!$dir->exists()) {
      if (!$dir->create(777)) {
        $PROGRAM->meldung("fehler", "500", "");
      }
    }
  }

  /* public void */ function listener(/* String */ $event, /* Hashtable */ $ARGS) {
    settype($event, "string");
    settype($ARGS, "array");

    if ($this->blacklist && $this->whitelist && $this->blacklist->exists()) {
      if ($this->whitelist->exists()) $this->whitelist->read();
      if ($this->blacklist->exists()) $this->blacklist->read();
      global $PROGRAM;

      switch ($event) {

        default:
               if ($this->blacklist->isBlocked() && ! ($this->whitelist->exists() && $this->whitelist->isBlocked())) {
                 global $PROGRAM;
                 $PROGRAM->meldung("fehler", "BLOCK", $event);
                 return false;
               } else {
                 # access granted
                 return true;
               }
        break;
      } # end switch
    }
    return true;
  }

}

//  2004, Thomas Meyer www.All-Community.de
// Copyright Hinweis nicht entfernen!
?>
